Bug 190715 - game literally ends your gnome session when you quit bzflag
game literally ends your gnome session when you quit bzflag
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 13:19 EDT by Bill Jones
Modified: 2008-04-01 16:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 16:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Jones 2006-05-04 13:19:01 EDT
Description of problem:
When you select QUIT from game menu game literally ends your gnome session when
you quit bzflag...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start bzflag
2. Quit bzflag
3. You are now logged out of the system
  
Actual results:
You are logged out of your gnome session

Expected results:
The game should end but not log me out.

Additional info:
Running Pre-FC6 5.89+
Comment 1 Alan Cox 2006-05-04 13:31:50 EDT
Moving to xorg-x11. There are two possibilities here - one that bzflag is
crashing your X server session somehow the other than it is doing this to the
gnome session management. On balance X seems the most likely

Are you using the Nvidia or ATI vendor provided drivers ?
Comment 2 Bill Jones 2006-05-04 14:32:59 EDT
nVidia.  The video card is a nVidia NV18 GeForce4 MX440 AGP 8x (this is a
standard Dell Optiplex GX260) and I am 99% sure I am using the standard drivers
that FC5 (or Pre-FC6 v5.89) provides -- I only know that I didnt install any
drivers; the video system worked well since system build.
Comment 3 Nils Philippsen 2006-05-05 11:28:04 EDT
To rule out the remaining 1%, what gives "sysctl kernel.tainted"?
Comment 4 Bill Jones 2006-05-06 10:49:25 EDT
[bill@i386 ~]$ su - -c "sysctl kernel.tainted"
Password:

Output -
kernel.tainted = 0
Comment 5 Mike A. Harris 2006-05-23 09:40:12 EDT
Update to all of the current Fedora devel packages system-wide, and ensure
you are not using any proprietary drivers.  If the problem is still
reproduceable, please attach your X server log file and config file to the
report as individual uncompressed file attachments.

TIA
Comment 6 Bill Jones 2006-10-16 18:26:02 EDT
I have long since switched to Intel FC6; please close.
Comment 7 Adam Jackson 2008-04-01 16:05:06 EDT
As you wish!

Note You need to log in before you can comment on or make changes to this bug.